Page MenuHomePhabricator

[M] Deploy ImageSuggestions
Closed, ResolvedPublic

Description

Event Timeline

Change 766605 had a related patch set uploaded (by Matthias Mullie; author: Matthias Mullie):

[integration/config@master] Prepare for production deployment of ImageSuggestions

https://gerrit.wikimedia.org/r/766605

Change 766605 abandoned by Matthias Mullie:

[integration/config@master] Prepare for production deployment of ImageSuggestions

Reason:

Not yet

https://gerrit.wikimedia.org/r/766605

Change 766613 had a related patch set uploaded (by Matthias Mullie; author: Matthias Mullie):

[mediawiki/tools/release@master] Add ImageSuggestions to make-release

https://gerrit.wikimedia.org/r/766613

Change 766613 abandoned by Matthias Mullie:

[mediawiki/tools/release@master] Add ImageSuggestions to make-release

Reason:

Not yet

https://gerrit.wikimedia.org/r/766613

Change 766615 had a related patch set uploaded (by Matthias Mullie; author: Matthias Mullie):

[operations/mediawiki-config@master] Add ImageSuggestions to extension-list and config var

https://gerrit.wikimedia.org/r/766615

Change 766615 abandoned by Matthias Mullie:

[operations/mediawiki-config@master] Add ImageSuggestions to extension-list and config var

Reason:

Not yet!

https://gerrit.wikimedia.org/r/766615

matthiasmullie updated the task description. (Show Details)
matthiasmullie updated the task description. (Show Details)
CBogen renamed this task from Deploy ImageSuggestions to [M] Deploy ImageSuggestions.Apr 20 2022, 4:35 PM
CBogen moved this task from To Do to Blocked on the Image-Suggestions board.
CBogen added a subscriber: CBogen.

Blocked by T292147

Change 766615 restored by Matthias Mullie:

[operations/mediawiki-config@master] Add ImageSuggestions to extension-list and config var

https://gerrit.wikimedia.org/r/766615

Change 766615 abandoned by Matthias Mullie:

[operations/mediawiki-config@master] Add ImageSuggestions to extension-list and config var

Reason:

Not yet!

https://gerrit.wikimedia.org/r/766615

Change 766605 restored by Matthias Mullie:

[integration/config@master] Prepare for production deployment of ImageSuggestions

https://gerrit.wikimedia.org/r/766605

Change 766613 restored by Matthias Mullie:

[mediawiki/tools/release@master] Add ImageSuggestions to make-release

https://gerrit.wikimedia.org/r/766613

Initial code has been merged.
Reviews have been deemed unnecessary.
Deployment-related config patches are up & awaiting review.

Change 766613 merged by jenkins-bot:

[mediawiki/tools/release@master] Start branching ImageSuggestions for Wikimedia production

https://gerrit.wikimedia.org/r/766613

Change 766605 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/ImageSuggestions] Mark as in production

https://gerrit.wikimedia.org/r/766605

Mentioned in SAL (#wikimedia-releng) [2022-06-06T14:37:18Z] <James_F> Zuul: [mediawiki/extensions/ImageSuggestions] Mark as in production for T302711

Change 766615 restored by Matthias Mullie:

[operations/mediawiki-config@master] Add ImageSuggestions to extension-list and config var

https://gerrit.wikimedia.org/r/766615

Change 766615 merged by jenkins-bot:

[operations/mediawiki-config@master] Add ImageSuggestions to extension-list and config var

https://gerrit.wikimedia.org/r/766615

Change 807049 had a related patch set uploaded (by Matthias Mullie; author: Matthias Mullie):

[operations/mediawiki-config@master] [ImageSuggestions] Enable extension on beta testwiki

https://gerrit.wikimedia.org/r/807049

Change 807050 had a related patch set uploaded (by Matthias Mullie; author: Matthias Mullie):

[operations/mediawiki-config@master] [ImageSuggestions] Enable extension on ptwiki, ruwiki & idwiki

https://gerrit.wikimedia.org/r/807050

Change 807049 merged by jenkins-bot:

[operations/mediawiki-config@master] [ImageSuggestions] Enable extension on beta testwiki

https://gerrit.wikimedia.org/r/807049

Change 807050 merged by jenkins-bot:

[operations/mediawiki-config@master] [ImageSuggestions] Enable extension on ptwiki, ruwiki & idwiki

https://gerrit.wikimedia.org/r/807050

Mentioned in SAL (#wikimedia-operations) [2022-06-23T13:15:09Z] <mlitn@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:807050|[ImageSuggestions] Enable extension on ptwiki, ruwiki & idwiki (T302711)]] (duration: 03m 44s)

matthiasmullie updated the task description. (Show Details)

Deployed on ptwiki, ruwiki & idwiki